-- 封神之战入口
Lua_GodWarWindow = class("Lua_GodWarWindow", Lua_SecondSizeWindow);
function Lua_GodWarWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_GodWarWindow";
	self.skinName = "GodWarWindow_skin";
	self.titleText = LanUtil.getValue(122415);
end
	
function Lua_GodWarWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.descBg.imgTypeNum = 4;
	self.descBg.widget.border = Vector4(0, 10, 0, 10);

	local showTime = DataCenter.xianshiData:getDataById(DataCenter.godWarUtil.godWarConfig).openTimeDesc;
	self.timeLab.text = LanUtil.formateStr(LanUtil.getValue(123002), tostring(showTime));
	self.desLab.text = LanUtil.getValue(122401);

	local activityID = DataCenter.godWarUtil.godWarConfig;
	local rewardId = DataCenter.xianshiData:getDataById(activityID).display_reward;
	self.rItem = Lua_RewardItem.new(self.content);
	self.rItem:setLayout(90, 90, 9);
	self.rItem:setMaxShow(9);
	self.rItem:setDepth(10);
	self.rItem:setClickWin(true);
	self.rItem:setMouseEnble(true);
	self.rItem:setItemScale(1, 1);
	self.rItem:setLocation(304, -155, 0);
	self.rItem:setRewardByRewardList(Array(rewardId));

	self.tipsIcon:addClickFuntion(self, self.onHelp);
	self.gotoBtn:addClickFuntion(self, self.onButtonClick);
end

function Lua_GodWarWindow:onButtonClick()
	local sceneID = DataCenter.godWarUtil.godWarScene;
	for k,v in pairs(sceneID) do
		if DataCenter.roleData.sceneId == v then -- 封神之战场景
			OperateAlert.show(LanUtil.getValue(121805));
			return;
		end
	end
	DataCenter.godWarData:sGoInGodWarMsg();
end

function Lua_GodWarWindow:onHelp()
	Lua_WindowUtil.openWin("Lua_RuleTipWindow", WinParam.ACTION_AUTO, LanUtil.getValue(122417));
end

function Lua_GodWarWindow:dispose()
	if self.rItem ~= nil then
		self.rItem:dispose();
		self.rItem = nil;
	end
    self:superCall("dispose");
end