-- 封神之战左侧信息栏界面
checkRequire("Lua_LeftInfoBaseWindow");
Lua_GodWarCombatLeftWindow  = class("Lua_GodWarCombatLeftWindow", Lua_LeftInfoBaseWindow);
function Lua_GodWarCombatLeftWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_GodWarCombatLeftWindow";
	self.skinName = "GodWarCombatLeftWindow_skin";
end

function Lua_GodWarCombatLeftWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.titleBg.clickScale = false;
	self.bg.clickScale = false;
	self.titleBg:addClickFuntion(self, self.onBgClick);
	self.bg:addClickFuntion(self, self.onBgClick);
	self.rankBtn:addClickFuntion(self, self.onOpenRankClick);
	self.tipsIcon:addClickFuntion(self, self.onTipsClick);

	self:addLuaEvent("SHOW_GODWARCOMBATINFO", self, self.gcodWarCombatInfo);
	self:addLuaEvent("MENU_OUT_CLICK", self, self.onMenuOutClick);

	self:addTimer("checkScene", 1, self, self.onCheckScene);
end

function Lua_GodWarCombatLeftWindow:onCheckScene()
	local sceneId = DataCenter.roleData.sceneId;
	local sceneData = Lua_SceneConfigData.getSceneConfig(sceneId);
	local curOpenWin = sceneData.config.open_win;
	local isShowWin = false;
	if curOpenWin ~= nil then
		for i,v in ipairs(curOpenWin) do
			if v == "Lua_GodWarCombatLeftWindow" then
				isShowWin = true;
				break;
			end
		end
	end
	if isShowWin == false then
		self:hide();
	end
end

function Lua_GodWarCombatLeftWindow:setShowState(val)
	self:superCall("setShowState", val);

	if val then
		self.rankBtn:setLocation(295, 139, 0);
	else
		self.rankBtn:setLocation(245, 139, 0);
	end
end

function Lua_GodWarCombatLeftWindow:gcodWarCombatInfo()
	local combat_info = DataCenter.godWarData.combat_list;
	local sceneName = getConfig({"scene", combat_info.sceneId}).name;
	self.titleLab.text = sceneName;

	self.rankLab.text = LanUtil.formateStr(LanUtil.getValue(122408), tostring(combat_info.curRank));
	self.exploitLab.text = LanUtil.formateStr(LanUtil.getValue(122409), tostring(combat_info.exploit));

	if combat_info.nextLayerPoint ~= 0 then
		self.nextLab.text = LanUtil.formateStr(LanUtil.getValue(122410), tostring(combat_info.curPoint),tostring(combat_info.nextLayerPoint));
	else
		self.nextLab.text = LanUtil.getValue(122404);
	end

	if combat_info.downLayerCount ~= 0 then
		self.punishLab.text = LanUtil.formateStr(LanUtil.getValue(122411), tostring(combat_info.curLayerCount), tostring(combat_info.downLayerCount));
	else
		self.punishLab.text =LanUtil.getValue(122405);
	end
	self.secondLab.text = LanUtil.formateStr(LanUtil.getValue(122403), tostring(combat_info.objId), tostring(combat_info.objValue));
	
	self.leftTime = combat_info.leftTime;
	Lua_CommonUtil.addTimer("updateCombatLeftTime", 1, self, self.updateCombatLeftTime);
end

function Lua_GodWarCombatLeftWindow:updateCombatLeftTime()
	self.leftTime = self.leftTime - 1;
	if self.leftTime > 0 then
		self.endTimeLab.text = LanUtil.formateStr(LanUtil.getValue(122413), TimeTransform.getInstance():transSeconds1(self.leftTime, true));
	else
		self.endTimeLab.text = LanUtil.formateStr(LanUtil.getValue(122413), 0 .. LanUtil.getValue(26));
		Lua_CommonUtil.removeTimer(self, self.updateCombatLeftTime);
	end
end

function Lua_GodWarCombatLeftWindow:onMenuOutClick(o)
	Lua_WindowUtil.openWin("Lua_TipsWindow", nil, {owner = self, des = LanUtil.getValue(121635), type = 1, subFun = self.onOutClick});
end

function Lua_GodWarCombatLeftWindow:onOutClick(val)
	DataCenter.godWarData:sCloseSceneMsg();
	Lua_WindowUtil.openWin("Lua_GodWarCombatLeftWindow", WinParam.ACTION_CLOSE);
end

function Lua_GodWarCombatLeftWindow:onBgClick(go)
end

function Lua_GodWarCombatLeftWindow:onOpenRankClick()
	Lua_WindowUtil.openWin("Lua_GodWarRankWindow", WinParam.ACTION_AUTO);
end

function Lua_GodWarCombatLeftWindow:onTipsClick()
	Lua_WindowUtil.openWin("Lua_RuleTipWindow", WinParam.ACTION_AUTO, LanUtil.getValue(122418));
end

function Lua_GodWarCombatLeftWindow:dispose()
	Lua_CommonUtil.removeTimer(self, self.updateCombatLeftTime);

	self:superCall("dispose");
end