-- 封神之战排行榜
Lua_GodWarRankWindow  = class("Lua_GodWarRankWindow", Lua_ThirdSizeWindow);
function Lua_GodWarRankWindow:ctor()
	self:superCall("ctor", true, 3500, true, LanUtil.getValue(122416));

	self.windowName = "Lua_GodWarRankWindow";
	self.skinName = "GodWarRankWindow_skin";
	self.w = 916;
	self.h = 574;
end

function Lua_GodWarRankWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.dragList = Lua_DragList.new(self.content, 1, Vector4(0, 0, 878, 360));
	self.dragList:setLocation(0, -24, 0);
	self.dragList:setListCell(Lua_GodWarRankCellItem, 72, 878, 1);

	self:addLuaEvent("SHOW_GODWARRANKINFO", self, self.showUpgradeInfo);
	DataCenter.godWarData:sOpenExploitMsg();
end

function Lua_GodWarRankWindow:showUpgradeInfo()
	local rankList = DataCenter.godWarData.rank_list;
	if rankList.rank <= 3 then
		self.rankTxt.text = "";
		self.myRankIcon:setAltas("leaderBoard_atlas", "ui_paihang_widget_no" .. rankList.rank);
	else
		self.rankTxt.text = rankList.rank;
	end
	self.myRankIcon:setEnable(rankList.rank <= 3);

	self.playerNameTxt.text = rankList.name;
	self.lvlTxt.text = rankList.lvl;
	self.killTxt.text = rankList.killCount;
	self.featsTxt.text = rankList.exploit;
	
	self.dragList:setLuaArrayData(DataCenter.godWarData.rankArr, true);
end

function Lua_GodWarRankWindow:dispose()	
	if self.dragList ~= nil then
		self.dragList:dispose()
		self.dragList = nil;
	end
	self:superCall("dispose");
end





--------------------------------------------------





Lua_GodWarRankCellItem = class("Lua_GodWarRankCellItem", Lua_ListCell);
function Lua_GodWarRankCellItem:ctor(p)
	self:superCall("ctor", p, "GodWarRankListItem_skin");
end

function Lua_GodWarRankCellItem:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_GodWarRankCellItem:setData(data)
	self.data = data;
	if data == nil then
		return;
	end

	self.rankIcon:setEnable(data.rank <= 3);
	if data.rank <= 3 then
		self.rankIcon:setAltas("leaderBoard_atlas", "ui_paihang_widget_no" .. data.rank);
		self.rankTxt.text = "";
	else
		self.rankTxt.text = data.rank;
	end
	self.playerNameTxt.text = data.name;
	self.lvlTxt.text = data.lvl;
	self.killTxt.text = data.killCount;
	self.featsTxt.text = data.exploit;
end

function Lua_GodWarRankCellItem:dispose()
	self:superCall("dispose");
end